diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/model/lr-wpan-constants.h ns-3.43/src/lr-wpan/model/lr-wpan-constants.h
--- ns-3.42/src/lr-wpan/model/lr-wpan-constants.h	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/model/lr-wpan-constants.h	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 The Boeing Company
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors:
  *  Gary Pei <guangyu.pei@boeing.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/model/lr-wpan-csmaca.cc ns-3.43/src/lr-wpan/model/lr-wpan-csmaca.cc
--- ns-3.42/src/lr-wpan/model/lr-wpan-csmaca.cc	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/model/lr-wpan-csmaca.cc	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 The Boeing Company
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author:
  *  kwong yin <kwong-sang.yin@boeing.com>
@@ -32,8 +21,7 @@
 
 #undef NS_LOG_APPEND_CONTEXT
 #define NS_LOG_APPEND_CONTEXT                                                                      \
-    std::clog << "[address " << m_mac->GetShortAddress() << " | " << m_mac->GetExtendedAddress()   \
-              << "] ";
+    std::clog << "[" << m_mac->GetShortAddress() << " | " << m_mac->GetExtendedAddress() << "] ";
 
 namespace ns3
 {
@@ -46,7 +34,8 @@
 TypeId
 LrWpanCsmaCa::GetTypeId()
 {
-    static TypeId tid = TypeId("ns3::LrWpanCsmaCa")
+    static TypeId tid = TypeId("ns3::lrwpan::LrWpanCsmaCa")
+                            .AddDeprecatedName("ns3::LrWpanCsmaCa")
                             .SetParent<Object>()
                             .SetGroupName("LrWpan")
                             .AddConstructor<LrWpanCsmaCa>();
@@ -101,28 +90,24 @@
 void
 LrWpanCsmaCa::SetSlottedCsmaCa()
 {
-    NS_LOG_FUNCTION(this);
     m_isSlotted = true;
 }
 
 void
 LrWpanCsmaCa::SetUnSlottedCsmaCa()
 {
-    NS_LOG_FUNCTION(this);
     m_isSlotted = false;
 }
 
 bool
 LrWpanCsmaCa::IsSlottedCsmaCa() const
 {
-    NS_LOG_FUNCTION(this);
     return m_isSlotted;
 }
 
 bool
 LrWpanCsmaCa::IsUnSlottedCsmaCa() const
 {
-    NS_LOG_FUNCTION(this);
     return !m_isSlotted;
 }
 
@@ -234,6 +219,8 @@
     m_NB = 0;
     if (IsSlottedCsmaCa())
     {
+        NS_LOG_DEBUG("Using Slotted CSMA-CA");
+
         // TODO: Check if the current PHY is using the Japanese band 950 Mhz:
         //       (IEEE_802_15_4_950MHZ_BPSK and IEEE_802_15_4_950MHZ_2GFSK)
         //       if in use, m_CW = 1.
@@ -264,6 +251,7 @@
     }
     else
     {
+        NS_LOG_DEBUG("Using Unslotted CSMA-CA");
         m_BE = m_macMinBE;
         m_randomBackoffEvent = Simulator::ScheduleNow(&LrWpanCsmaCa::RandomBackoffDelay, this);
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/model/lr-wpan-csmaca.h ns-3.43/src/lr-wpan/model/lr-wpan-csmaca.h
--- ns-3.42/src/lr-wpan/model/lr-wpan-csmaca.h	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/model/lr-wpan-csmaca.h	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 The Boeing Company
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author:
  *  kwong yin <kwong-sang.yin@boeing.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/model/lr-wpan-error-model.cc ns-3.43/src/lr-wpan/model/lr-wpan-error-model.cc
--- ns-3.42/src/lr-wpan/model/lr-wpan-error-model.cc	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/model/lr-wpan-error-model.cc	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 The Boeing Company
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Gary Pei <guangyu.pei@boeing.com>
  */
@@ -33,7 +22,8 @@
 TypeId
 LrWpanErrorModel::GetTypeId()
 {
-    static TypeId tid = TypeId("ns3::LrWpanErrorModel")
+    static TypeId tid = TypeId("ns3::lrwpan::LrWpanErrorModel")
+                            .AddDeprecatedName("ns3::LrWpanErrorModel")
                             .SetParent<Object>()
                             .SetGroupName("LrWpan")
                             .AddConstructor<LrWpanErrorModel>();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/model/lr-wpan-error-model.h ns-3.43/src/lr-wpan/model/lr-wpan-error-model.h
--- ns-3.42/src/lr-wpan/model/lr-wpan-error-model.h	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/model/lr-wpan-error-model.h	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 The Boeing Company
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Gary Pei <guangyu.pei@boeing.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/model/lr-wpan-fields.cc ns-3.43/src/lr-wpan/model/lr-wpan-fields.cc
--- ns-3.42/src/lr-wpan/model/lr-wpan-fields.cc	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/model/lr-wpan-fields.cc	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 Ritsumeikan University, Shiga, Japan.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *  Author: Alberto Gallegos Ramonet <ramonet@fc.ritsumei.ac.jp>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/model/lr-wpan-fields.h ns-3.43/src/lr-wpan/model/lr-wpan-fields.h
--- ns-3.42/src/lr-wpan/model/lr-wpan-fields.h	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/model/lr-wpan-fields.h	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 Ritsumeikan University, Shiga, Japan.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Alberto Gallegos Ramonet <ramonet@fc.ritsumei.ac.jp>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/model/lr-wpan-interference-helper.cc ns-3.43/src/lr-wpan/model/lr-wpan-interference-helper.cc
--- ns-3.42/src/lr-wpan/model/lr-wpan-interference-helper.cc	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/model/lr-wpan-interference-helper.cc	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Fraunhofer FKIE
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author:
  *  Sascha Alexander Jopen <jopen@cs.uni-bonn.de>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/model/lr-wpan-interference-helper.h ns-3.43/src/lr-wpan/model/lr-wpan-interference-helper.h
--- ns-3.42/src/lr-wpan/model/lr-wpan-interference-helper.h	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/model/lr-wpan-interference-helper.h	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Fraunhofer FKIE
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author:
  *  Sascha Alexander Jopen <jopen@cs.uni-bonn.de>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/model/lr-wpan-lqi-tag.cc ns-3.43/src/lr-wpan/model/lr-wpan-lqi-tag.cc
--- ns-3.42/src/lr-wpan/model/lr-wpan-lqi-tag.cc	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/model/lr-wpan-lqi-tag.cc	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Fraunhofer FKIE
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author:
  *  Sascha Alexander Jopen <jopen@cs.uni-bonn.de>
@@ -31,7 +20,8 @@
 TypeId
 LrWpanLqiTag::GetTypeId()
 {
-    static TypeId tid = TypeId("ns3::LrWpanLqiTag")
+    static TypeId tid = TypeId("ns3::lrwpan::LrWpanLqiTag")
+                            .AddDeprecatedName("ns3::LrWpanLqiTag")
                             .SetParent<Tag>()
                             .SetGroupName("LrWpan")
                             .AddConstructor<LrWpanLqiTag>()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/model/lr-wpan-lqi-tag.h ns-3.43/src/lr-wpan/model/lr-wpan-lqi-tag.h
--- ns-3.42/src/lr-wpan/model/lr-wpan-lqi-tag.h	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/model/lr-wpan-lqi-tag.h	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Fraunhofer FKIE
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author:
  *  Sascha Alexander Jopen <jopen@cs.uni-bonn.de>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/model/lr-wpan-mac-base.cc ns-3.43/src/lr-wpan/model/lr-wpan-mac-base.cc
--- ns-3.42/src/lr-wpan/model/lr-wpan-mac-base.cc	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/model/lr-wpan-mac-base.cc	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2023 Tokushima University, Japan.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *  Author: Alberto Gallegos Ramonet <alramonet@is.tokushima-u.ac.jp>
  */
@@ -33,7 +22,10 @@
 TypeId
 LrWpanMacBase::GetTypeId()
 {
-    static TypeId tid = TypeId("ns3::LrWpanMacBase").SetParent<Object>().SetGroupName("LrWpan");
+    static TypeId tid = TypeId("ns3::lrwpan::LrWpanMacBase")
+                            .AddDeprecatedName("ns3::LrWpanMacBase")
+                            .SetParent<Object>()
+                            .SetGroupName("LrWpan");
     return tid;
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lr-wpan/model/lr-wpan-mac-base.h ns-3.43/src/lr-wpan/model/lr-wpan-mac-base.h
--- ns-3.42/src/lr-wpan/model/lr-wpan-mac-base.h	2024-05-29 15:29:46.976073300 -0700
+++ ns-3.43/src/lr-wpan/model/lr-wpan-mac-base.h	2024-10-09 16:41:09.900656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2023 Tokushima University, Japan.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *  Author: Alberto Gallegos Ramonet <alramonet@is.tokushima-u.ac.jp>
  */
@@ -311,13 +300,18 @@
  */
 struct MacPibAttributes : public SimpleRefCount<MacPibAttributes>
 {
-    Ptr<Packet> macBeaconPayload;      //!< The contents of the beacon payload.
-    uint8_t macBeaconPayloadLength{0}; //!< The length in octets of the beacon payload.
-    Mac16Address macShortAddress;      //!< The 16 bit mac short address
-    Mac64Address macExtendedAddress;   //!< The EUI-64 bit address
-    uint16_t macPanId{0xffff};         //!< The identifier of the PAN
-    uint8_t pCurrentChannel{11};       //!< The current logical channel in used in the PHY
-    uint8_t pCurrentPage{0};           //!< The current logical page in use in the PHY
+    std::vector<uint8_t> macBeaconPayload; //!< The set with the contents of the beacon payload.
+    uint8_t macBeaconPayloadLength{0};     //!< The length in octets of the beacon payload.
+    Mac16Address macShortAddress;          //!< The 16 bit mac short address
+    Mac64Address macExtendedAddress;       //!< The EUI-64 bit address
+    uint16_t macPanId{0xffff};             //!< The identifier of the PAN
+    bool macAssociationPermit{true};       //!< Indication of whether the coordinator is allowing
+                                           //!< association.
+    bool macRxOnWhenIdle{true}; //!< Indication of whether the MAC is enabled during idle periods.
+    bool macPromiscuousMode{false}; //!< Indication of whether the mac is in promiscuous mode
+                                    //!<  (Receive all mode).
+    uint8_t pCurrentChannel{11};    //!< The current logical channel in used in the PHY
+    uint8_t pCurrentPage{0};        //!< The current logical page in use in the PHY
     // TODO: complete other MAC pib attributes
 };
 
@@ -875,7 +869,7 @@
      * The callback implements MLME-GET.confirm SAP of IEEE 802.15.4-2011,
      * section 6.2.5.2
      *
-     *\param c the callback
+     * \param c the callback
      */
     void SetMlmeGetConfirmCallback(MlmeGetConfirmCallback c);
 
